Subject: Q/bug: make call leads to exception ?
From: Heiko Nardmann <[email-masked]>
To: [email-masked]
Date: Fri, 24 Oct 2003 07:37:33 +0200

Hi!

I have the problem that trying to run GNU make leads to an exception every 
time - even with the simplest Makefile:

all:
	@echo "test"

My system is Windows XP. I have just run setup.exe again to really have the 
current packages.

Anyone else experiencing this?

Everything else seems to be ok since I write this using CygWin-XFree86.

I am going to compile GNU make inside CygWin myself now.

GNU make gives me version 3.80. The version 3.79.1 has resulted in the same 
problem.

Running 'make -d' gives me the following lines:

GNU Make 3.80
Copyright (C) 2002  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Reading makefiles...
[snip]
 No need to remake target `Makefile'.
Updating goal targets....
Considering target file `all'.
 File `all' does not exist.
 Finished prerequisites of target file `all'.
Must remake target `all'.
Putting child 0x1002e160 (all) PID 1260 on the chain.
Live child 0x1002e160 (all) PID 1260 

Anyone any idea what is wrong here?

- -- 
Heiko Nardmann (Dipl.-Ing. Technische Informatik)
secunet Security Networks AG - Sicherheit in Netzwerken (www.secunet.de),
Weidenauer Str. 223-225, D-57076 Siegen
Tel. : +49 271 48950-13, Fax  : +49 271 48950-50

Besuchen Sie uns
vom 20. - 24.10.2003 auf der Systems in München, Halle B2, Stand 315 und
vom 06. - 08.11.2003 auf der Comtec in Dresden, Halle 4, Stand B5.
Wir freuen uns auf das Gespräch mit Ihnen.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/